Bug 1029980 - the run command does not have recent options
the run command does not have recent options
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker-io (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 11:06 EST by Raphaël Davaillaud
Modified: 2014-07-01 18:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: docker-io-0.7-0.16.rc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 04:57:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphaël Davaillaud 2013-11-13 11:06:49 EST
Using docker-io.x86_64 0:0.7-0.13.dm.fc19 rpm from Marek Goldmann's repository.

The docker run command doesn't provide some recent (0.6.5) options like name or link

 sudo docker help run

Usage: docker run [OPTIONS] IMAGE [COMMAND] [ARG...]

Run a command in a new container

  -a=map[]: Attach to stdin, stdout or stderr.
  -c=0: CPU shares (relative weight)
  -cidfile="": Write the container ID to the file
  -d=false: Detached mode: Run container in the background, print new container id
  -dns=[]: Set custom dns servers
  -e=[]: Set environment variables
  -entrypoint="": Overwrite the default entrypoint of the image
  -h="": Container host name
  -i=false: Keep stdin open even if not attached
  -lxc-conf=[]: Add custom lxc options -lxc-conf="lxc.cgroup.cpuset.cpus = 0,1"
  -m=0: Memory limit (in bytes)
  -n=true: Enable networking for this container
  -p=[]: Expose a container's port to the host (use 'docker port' to see the actual mapping)
  -privileged=false: Give extended privileges to this container
  -rm=false: Automatically remove the container when it exits (incompatible with -d)
  -t=false: Allocate a pseudo-tty
  -u="": Username or UID
  -v=map[]: Bind mount a volume (e.g. from the host: -v /host:/container, from docker: -v /container)
  -volumes-from=[]: Mount volumes from the specified container
  -w="": Working directory inside the container
Comment 1 Lokesh Mandvekar 2013-11-13 12:51:43 EST
The current rpm is kinda old, and I'm guessing docker will soon be getting out 0.7-rc5 which should have the new options (https://github.com/dotcloud/docker/issues/2359#issuecomment-28363860). I'll build and put the rc5 rpm as soon as it's out
Comment 2 Raphaël Davaillaud 2013-11-21 04:57:06 EST
I'm closing my ticket as the latest build docker-io-0.7-0.16.rc6.fc20 has all the options.
Comment 3 Marek Goldmann 2013-11-21 05:20:15 EST
Thanks for the info, I'm altering a bit the resolution info.

Note You need to log in before you can comment on or make changes to this bug.